#
# spec file for package perl-Net-DNS-Resolver-Programmable
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-DNS-Resolver-Programmable
%define cpan_name Net-DNS-Resolver-Programmable
Summary:        Programmable DNS resolver class for offline emulation of DNS
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Version:        0.003
Release:        22.1
Url:            http://search.cpan.org/dist/Net-DNS-Resolver-Programmable
Source:         http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/net-dns-resolver-programmable/Net-DNS-Resolver-Programmable-v0.003.tar.gz
Patch0:         Net-DNS-Resolver-Net-DNS-0.75.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.2805
BuildRequires:  perl(Net::DNS)
Requires:       perl(Net::DNS)

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant class that
allows a virtual DNS to be emulated instead of querying the real DNS.  A set of
static DNS records may be supplied, or arbitrary code may be specified as a
means for retrieving DNS records, or even generating them on the fly.


Authors:
--------
    Julian Mehnle

%prep
%setup -q -n %{cpan_name}-v%{version}
%patch0 -p1

%build
%{__perl} Build.PL --prefix $RPM_BUILD_ROOT/usr --installdirs vendor
./Build

%check
./Build test

%install
./Build install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files  -f %{name}.files
%defattr(-,root,root)
%doc CHANGES LICENSE README SIGNATURE

%changelog
* Mon Dec 29 2014 dimstar@opensuse.org
- Add Net-DNS-Resolver-Net-DNS-0.75.patch: Deal with changes in
  Net::DNS 0.75.
  https://rt.cpan.org/Public/Bug/Display.html?id=95901
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr  7 2010 chris@computersalat.de
- initial package 0.003
